Download it now!
Bug 132732 - Restart Numbering in Paragraph with chosen Number impossible (GTK3)
Summary: Restart Numbering in Paragraph with chosen Number impossible (GTK3)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.4.1 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.4.5
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2020-05-05 17:11 UTC by Robert Großkopf
Modified: 2020-05-10 06:11 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Try to set the numbered paragraph to a special starting number with gtk3 (13.91 KB, application/vnd.oasis.opendocument.text)
2020-05-05 17:11 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2020-05-05 17:11:45 UTC
Created attachment 160395 [details]
Try to set the numbered paragraph to a special starting number with gtk3

Open the attached Writer document.
There is a little example with numbered rows.
Go to one of the row, chose with right mouseclick 
Paragraph → Paragraph → Outline & Numbering → Numbering → Restart at this Paragraph → Start with → '6'

I could chose the checkbox "Start with" with LO 6.4.4.1 VCL: kf5; but not with VCL: gtk3; 
I have tested in different versions with gtk3 - doesn't work. Then with LO 6.1.5.2, which uses gtk2 > works.
So this seems to be a special gtk3 problem.

My system: OpenSUSE 15.1 64bit rpm Linux.
Comment 1 Commit Notification 2020-05-09 18:23:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2091098303b93cf267ef2d22dd890a8926ecb845

Resolves: tdf#132732 boxNEW_START set as insensitive

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Caolán McNamara 2020-05-09 18:28:25 UTC
fixed in master, backport to 6-4 in gerrit
Comment 3 Commit Notification 2020-05-09 23:53:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/32c616cf2f7c458eefc88d9b94f11d9a7f356293

Resolves: tdf#132732 boxNEW_START set as insensitive

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.